/* drawlyric.c 
 *
 * function to display Lyrics on score
 * for Denemo, a gtk+ frontend to GNU Lilypond 
 * 
 * (c) 2002 Adam Tee <eenajt@leeds.ac.uk>
 */

#include "utils.h"
#include "datastructures.h"
#include <string.h>

void draw_lyric(GdkPixmap *pixmap, GdkGC *gc, GdkFont *font,
    		gint xx, gint y, mudelaobject *theobj)
{
  static GdkFont *lyricfont = NULL;
  gchar *text=NULL;
  gint length = 0;
  if(theobj->type == LYRIC) {
    text = theobj->u.lyricval.lyric->str;
    length = theobj->u.lyricval.lyric->len;
  }else if(theobj->type == CHORD) {
    text = theobj->u.chordval.lyric->str;
    length = theobj->u.chordval.lyric->len;
  }
#ifdef DEBUG
  g_print("%s, %d\n", text, length);
#endif
  
  if(!lyricfont) {
    lyricfont = gdk_fontset_load
      ("-*-helvetica-medium-r-normal-*-12-*-*-*-*-*-iso8859-*");
    if (lyricfont)
      lyricfont = font;
  }
  gdk_draw_text(pixmap, lyricfont, gc, xx, y, text, length);

}
	  
   
